import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;

/**
 * KMap.java 1.0 02/11/12
 * <br><br>
 * Author       : James McMahon
 * <br><br>
 * Answer Panel Class
 * <br><br>
 * Provides the checkboxes listeners that results in the answer term being built up
 * and the icon images being displayed on the hint panel
 * <br><br>
 * Created      : 15/11/2001<br>
 * Last Updated : 15/11/2001
 * <br>
 */

public class AnswerPanelListener implements ItemListener {
       
    //This is going to be a really inefficient way of doing this because
    //at the moment what happens is that whenever a selection event is detected it 
    //goes through the entire set of checkboxes and recreates the full answer term
    //The reason for this is that to respond to every selection/deselection event
    //would be horrendously complicated to remove and add answer terms in the right order!
    
    /**
     * The parent answer panel to allow access to the answer generator function
     */ 
    private AnswerPanel parent;
     
    /**
     * Creates a listener for the checkboxes that build up the answer term
     * <br>
     * @param parentOwner The answer pnel class for access to the answer generator function
     */
    public AnswerPanelListener(AnswerPanel parentOwner) {
    	parent = parentOwner;
    }
       
	public void itemStateChanged(ItemEvent e) {
      
      //This could possibly be optimised in order to remove a term if a deselection
      // is detected or add if selection is detected...
      // at the moment this works without any serious slowdown problems
      // and doing it the any other way would incur equal if not greater costs!
     	parent.generateAnswerTerm();//recreates the full term from all the currently selected check boxes
     }
}