import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import java.util.*;
import java.net.*;

/**
 * KMap.java 1.0 02/11/12
 * <br><br>
 * Author       : James McMahon
 * <br><br>
 * KMap Help Panel Class
 * <br><br>
 * Provides a help screen for users
 * <br><br>
 * Created      : 13/11/2001
 * <br>
 * Last Updated : 13/11/2001
 */

public class HelpPanel {
	
	/**
	 * The editor pane that displays the help page
	 */
	private JEditorPane editorPane = new JEditorPane();
	
	/**
	 * Needed because we have a JOptionPane that is model to the main applet
	 */
	private KMap parent;
	
	/**
	 * name of the help file relative to the location of the applets codebase
	 */
	private String pageName = "help.html";
	
	/**
	 *url string
	 */
	private String url = "";
	
	/**
	 *the url of the help page
	 */
	private URL helpURL = null;
	
	/**
	 * Creates a HelpPanel displaying the help pages for the user.
	 * <br>
	 * Also allows the user to navigate between multiple help pages as well
	 */
	public HelpPanel(KMap parentOwner) {
		
		parent = parentOwner;

		editorPane.setEditable(false);
	
		try {
			
			url = parent.getCodeBase()+pageName;
			helpURL = new URL(url);
			editorPane.setPage(helpURL);
			
			//add a hyperlink listener so people can navigate the two help pages
			editorPane.addHyperlinkListener(new HyperlinkListener() {
					public void hyperlinkUpdate(HyperlinkEvent e) {	
						if ((e.getEventType()).equals(HyperlinkEvent.EventType.ACTIVATED)) {	
							try { 
								editorPane.setPage(e.getURL());
							} catch (IOException ioe) {}
						}
					}
				});
			
			
			JScrollPane helpPanel = new JScrollPane(editorPane);
			helpPanel.setPreferredSize(new Dimension(540,300));
			
			JOptionPane.showMessageDialog(parent,
						  helpPanel,
				          "K-Map Help File",
				          JOptionPane.PLAIN_MESSAGE);			
	
		} catch(Exception ioe) { 
			//This is strange - if I catch the IOException that is supposed to be thrown then
			//it seems to ignore the actual exception that is generated - hence catching the general exception
			//is the only sure way of making the dialog being shown
			
			//So got a problem here with trying to open the html help page
			JOptionPane.showMessageDialog(parent,
						  "The help page can't be found - sorry!",
				          "Sorry there has been an error",
				          JOptionPane.ERROR_MESSAGE);
		}
	}
}