import java.awt.*;
import java.applet.*;
import javax.swing.*;

/**
 * KMap.java 1.0 02/11/12
 * <br><br>
 * Author       : James McMahon
 * <br><br>
 * JCheckBox which has tooltip creator overridden to use the multi-line tooltip
 * classes written by @author Zafir Anjum which can be found at codeguru.net
 * <br><br>
 * Provides the checkboxes with multi-line tool tips
 * <br><br>
 * Created      : 13/11/2001
 * <br>
 * Last Updated : 13/11/2001
 */

public class JCheckBoxToolTipped extends JCheckBox {
	
	/**
	 * Sets the text of the tool tip
	 * @param text The tooltips texxt
	 */
	public JCheckBoxToolTipped(String text) {
		super(text);	
	}

	/**
	 * Creates a tooltip for the JCheckBox
	 * @return JToolTip The tooltip for the JCheckBox
	 */
	public JToolTip createToolTip() {
		return new JMultiLineToolTip();
	}	
}