import java.awt.*;
import java.applet.*;
import javax.swing.*;

/**
 * KMap.java 1.0 02/11/12
 * <br>
 * Author       : James McMahon
 * <br>
 * Score Panel Class
 * <br>
 * Provides the score panel for the applet
 * <br><br>
 * Created      : 13/11/2001<br>
 * Last Updated : 13/11/2001
 */

public class ScoreKeeper extends JPanel {

	/**
	 * The number of questions asked 
	 */
	private int numAsked = 1;
	
	/**
	 * The number of questions answered correctly
	 */
	private int numRight = 0;
	
	/**
	 * The label that is shown on the screen
	 */
	private JLabel score = new JLabel(""+numRight+" correct out of "+numAsked+"  ");
	
	/** 
	 * Set up the score keeper panel and displays the current label
	 */
	public ScoreKeeper() {
	
		this.setPreferredSize(new Dimension(150,50));
		this.setBorder(BorderFactory.createTitledBorder("Score Tracker"));	
		this.add(score);	
	}
	
	/** 
	 * Reset the score to zero right out of one asked
	 */
	public void resetScore() {
		numAsked = 1; //Should always still be one question on screen
		numRight = 0;
		score.setText(""+numRight+" correct out of "+numAsked+"  ");	
	}
	
	/** 
	 * Adds one to the number of questions asked
	 */
	public void addQuestionAsked(){
		numAsked += 1;
		score.setText(""+numRight+" correct out of "+numAsked+"  ");
	}
	
	/** 
	 * Adds one to the number of questions answered correctly
	 */
	public void addQuestionRight(){
		numRight += 1;	
		score.setText(""+numRight+" correct out of "+numAsked+"  ");
	}
}